
// trost
// Ультразвуковой локатор с выходом
// на звукоизлучатель и вибромотор

// Вывод для  подключения вибромотора
int vibro_motor=6;
// Вывод для подключения звукоизлучателя
int zvuk=5;
// Вывод для подключения кнопки         
int knopka=8;
// Переменные:
// Расстояние до препятствия, см
float dist_cm;      
// Интенсивности работы вибромотора
int signal;
// Состояние кнопки
int k;

#include "Ultrasonic.h"
// Назначение выводов Trig и Echo
Ultrasonic ultrasonic(12, 13);

void setup()
{
  pinMode(knopka, INPUT);
}

void loop()
{ // Измерение расстояния
  dist_cm = ultrasonic.Ranging(CM); 
  if (dist_cm < 400)
// Если расстояние меньше максимума
  { 
// Чем ближе, тем интенсивнее сигнал                
    signal=-dist_cm*200/400+255;          
// Проверяем состояние кнопки
    k = digitalRead(knopka);                                         
    if(k==1) 
    { 
 // Выключаем вибромотор
    analogWrite(vibro_motor, 0);
 // Включаем звук
    tone(zvuk, (signal));
    }
    else                        
    {
  // Выключаем звук
      noTone(zvuk);
  // Включаем вибромотор                 
      analogWrite(vibro_motor, signal);
    }
    
  }
  delay(100);                                   
}
