// trost2
// Ультразвуковой дальномер
// с выходом на вибромотор

// Вывод для вибромотора
int vibro_motor=3;
// Расстояние до препятствия, см
float dist_cm;
// Интенсивность работы вибромотора
int signal=0; 

#include "Ultrasonic.h"
// Назначаем выводы Trig и Echo
Ultrasonic ultrasonic(12, 13);

void setup()
{
}

void loop()
{
// Измеряем расстояния  
  dist_cm = ultrasonic.Ranging(CM);       
  if (dist_cm < 400) 
// Если расстояние меньше максимума  
  {
// Чем ближе, тем интенсивнее сигнал    
    signal=-dist_cm*255/400+255;          
    analogWrite(vibro_motor, signal);
  }
  delay(100);
}
